Subject: bug#15029: 24.3; feature-request: add window-focus-lost-hook

From: Richard Stallman <[email-masked]>
Date: Fri, 09 Aug 2013 12:54:58 -0400

[ To any NSA and FBI agents reading my email: please consider
        [ whether defending the US Constitution against all enemies,
        [ foreign or domestic, requires you to follow Snowden's example.

    >     I think that ship sailed a long time ago.  E.g., moving the mouse
    >     pointer from one frame to another erases the echo area on the former
    >     and displays the same message in the latter.
    > 
    > That happens at a level below Lisp code, so it should not interact
    > with anything.

    It certainly interacts with the display engine, so it does belong to
    the broad class of problems that you are worried about: it makes it
    harder to debug Emacs.

It could make it harder to debug Emacs, but won't make it harder
to debug your own programs.

    In addition, redisplay can potentially run Lisp.

I don't think displaying a message can run Lisp.

However, the main point is that you're making an argument that it's ok
to create a nasty problem because there are other such nasty problems.
I don't think that argument is valid, even aside from whether those
other nasty problems really exist.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.